%define name	frameworks
%define version	0.3.6
%define release %mkrel 4

Name: 	 	%{name}
Summary: 	Stop-motion animation tool
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.polycrystal.org/software/frameworks.html
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig gtk2-devel libglade2.0-devel

%description
Frameworks is designed to capture frames of stop-motion animation (claymation)
in PNG format. Using other software, these frames may be assembled into a
video. Frameworks is designed to work easily with the GIMP Animation Plugin
(GAP).

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=video_section
Name=FrameWorks
Comment=Stop-motion animation tool
Categories=AudioVideo;
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/%name
%{_datadir}/applications/mandriva-%name.desktop
%{_datadir}/*.glade



%changelog
* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.3.6-4mdv2010.0
+ Revision: 428883
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.6-3mdv2009.0
+ Revision: 245334
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.6-1mdv2008.1
+ Revision: 141845
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- import frameworks

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Apr 06 2006 Lenny Cartier <lenny@mandriva.com> 0.3.6-1mdk
- 0.3.6

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.3.4-1mdk
- 0.3.4

* Sat Dec 13 2003 Austin Acton <aacton@yorku.ca> 0.3.3-1mdk
- initial package
